AOZ Studio Beta - Bug #28

Gosub using variable fails
01/19/2020 01:26 AM - Brian Flanagan

Status: Closed Start date: 01/19/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.2.6

Description

Example: Help_16, line_112 from AMOSPro_Examples disk.

Fails to compile.

Gosub(G)

Produces the following errors:

main.aoz:112:8: error: syntax error

main.aoz:112:8: error: label not defined

Same errors with or without a space between:

Gosub (G)

Related issues:

Related to AOZ Studio Beta - Bug #97: Help_16 : lllegal text window parameter... Closed 02/01/2020

History

#1 - 01/21/2020 04:00 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3

Fixed!

#2 - 02/01/2020 07:48 AM - Baptiste Pillot

- Status changed from Resolved to Closed

source : https://www.amos2.fr/ide/Amos2/Ide/Program/460

run : https://www.amos2.fr/run/tickleman/28/

still error on execution : "lllegal text window parameter at line: 90, column: 1."

L]
L]
e compile : ok
L]
L

code at line 90 : Locate 5,13 : Print "PEN"

Strange, it's exactly the same code than the lines before...

Compilation problem solved : | close.

For the execution error, | open a new issue.

#3 - 02/01/2020 07:50 AM - Baptiste Pillot

- Related to Bug #97: Help_16 : lllegal text window parameter at line: 90 added
